Subject: bug#60252: 29.0.60; help-fns--describe-function-or-command-prompt asks for confirmation

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Dec 2022 09:26:41 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 22 Dec 2022 16:14:04 -0500
> 
> >> We may as well revert that part of my patch.
> > I don't think that would be TRT.  Emacs behaves like that in other
> > places, so why this one should be different?  Such inconsistency can
> > confusing.
> 
> It's quite unusual to ask for the `describe-function` of a symbol that's
> not defined as a function and it won't give you very much info.

I'm afraid of use cases where the user didn't know whether a function
is or isn't defined.  Human memory isn't perfect.  I frequently forget
whether the function is buffer-process or get-buffer-process, for
example.